#!/bin/bash

VERSION='20190325t131912'

rm -rf .packages pubspec.lock
PUB_HOSTED_URL="https://$VERSION-dot-dartlang-pub.appspot.com" pub get;
if [ $? -ne 0 ]; then
  echo 'FAILURE TO RUN PUB GET';
else
  echo 'SUCCESS';
fi

PUB_HOSTED_URL="https://$VERSION-dot-dartlang-pub.appspot.com" pub upgrade;
if [ $? -ne 0 ]; then
  echo 'FAILURE TO RUN PUB UPGRADE';
else
  echo 'SUCCESS';
fi

PUB_HOSTED_URL="https://$VERSION-dot-dartlang-pub.appspot.com" pub publish;
if [ $? -ne 0 ]; then
  echo 'FAILURE TO RUN PUB PUBLISH';
else
  echo 'SUCCESS';
fi

cd `mktemp -d`
export PUB_HOSTED_URL="https://$VERSION-dot-dartlang-pub.appspot.com";
echo -e 'name: _test\ndependencies:\n  test: ^1.4.0\n' > pubspec.yaml
pub get